LocatorMXBean (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management, interface: LocatorMXBean

Package org.apache.geode.management

# Interface LocatorMXBean

public interface LocatorMXBean
MBean that provides access to information and management functionality for a `Locator`.

Since:
  GemFire 7.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBindAddress()`
  Returns a string representing the IP address or host name that this Locator will listen on.
  `String`
  `getHostnameForClients()`
  Returns the name or IP address to pass to the client as the location where the Locator is listening.
  `int`
  `getPort()`
  Returns the port on which this Locator listens for connections.
  `boolean`
  `isPeerLocator()`
  Returns whether the Locator provides peer location services to members.
  `boolean`
  `isServerLocator()`
  Returns whether the Locator provides server location services To clients.
  `String[]`
  `listManagers()`
  Returns the list of current managers.
  `String[]`
  `listPotentialManagers()`
  Returns a list of servers on which the manager service may be started either by a Locator or users.
  `String`
  `viewLog()`
  Returns the most recent log entries for the Locator.

- ## Method Details

  - ### getPort

    int getPort()
    Returns the port on which this Locator listens for connections.
    Returns:
      the port on which this Locator listens for connections

  - ### getBindAddress

    String getBindAddress()
    Returns a string representing the IP address or host name that this Locator will listen on.
    Returns:
      a string representing the IP address or host name that this Locator will listen on

  - ### getHostnameForClients

    String getHostnameForClients()
    Returns the name or IP address to pass to the client as the location where the Locator is listening.
    Returns:
      the name or IP address to pass to the client as the location where the Locator is listening

  - ### isPeerLocator

    boolean isPeerLocator()
    Returns whether the Locator provides peer location services to members.
    Returns:
      True if the Locator provides peer locations services, false otherwise.

  - ### isServerLocator

    boolean isServerLocator()
    Returns whether the Locator provides server location services To clients.
    Returns:
      True if the Locator provides server location services, false otherwise.

  - ### viewLog

    String viewLog()
    Returns the most recent log entries for the Locator.
    Returns:
      the most recent log entries for the Locator

  - ### listPotentialManagers

    String[] listPotentialManagers()
    Returns a list of servers on which the manager service may be started either by a Locator or users.
    Returns:
      an array of servers on which the manager service may be started either by a Locator or users

  - ### listManagers

    String[] listManagers()
    Returns the list of current managers.
    Returns:
      an array of current managers